import { format } from 'date-fns';

export default function(eleventyConfig) {
	eleventyConfig.addFilter("readableDate", (dateObj) => {
    return format(dateOnly(dateObj), 'MMMM do, yyyy');
	});

	eleventyConfig.addFilter("htmlDateString", (dateObj) => {
		return format(dateOnly(dateObj), 'yyyy-MM-dd');
	});

  eleventyConfig.addFilter("seriesPosts", (posts, seriesName) => {
    return posts.
      filter(post => post.data.series?.name == seriesName).
      sort((a, b) => a.data.series.number - b.data.series.number);
  });

  function dateOnly(dateObj) {
    return new Date(dateObj.getUTCFullYear(), dateObj.getUTCMonth(), dateObj.getUTCDate());
  }
}
